apiVersion: tekton.dev/v1alpha1
kind: Pipeline
metadata:
  name: app-deploy
spec:
  # Check https://github.com/tektoncd/pipeline/blob/master/docs/pipelines.md on how to define parameters
  #  params:
  resources:
    - name: app-source
      type: git
    - name: app-image
      type: image
  tasks:
    - name: build-java
      taskRef:
        name: build-app
      resources:
        inputs:
          - name: source
            resource: app-source
        outputs:
          - name: builtImage
            resource: app-image
    - name: deploy-app
      taskRef:
        name: deploy-using-kubectl
      runAfter:
        - build-java
      resources:
        inputs:
          - name: source
            resource: app-source
          - name: image
            resource: app-image
            from:
              - build-java
      params:
        - name: path
          value: /workspace/source/k8s/backend-deployment.yaml
        - name: yamlPathToImage
          value: "spec.template.spec.containers[0].image"